# $Revision: 1.33 $, $Date: 2009/11/12 09:44:54 $
#
# Conditional build:
%bcond_without	lcd             # use own LCD filtering instead of freetype's
#
Summary:	X Font Rendering library
Summary(pl.UTF-8):	Biblioteka do renderowania fontów
Name:		xorg-lib-libXft
Version:	2.1.14
Release:	2
License:	MIT
Group:		X11/Libraries
Source0:	http://xorg.freedesktop.org/archive/individual/lib/libXft-%{version}.tar.bz2
# Source0-md5:	254e62a233491e0e1251636536163e20
Patch0:		%{name}-lcd-filter.patch
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	fontconfig-devel >= 2.2
%{?with_lcd:BuildRequires:	freetype-devel >= 1:2.3.0}
%{!?with_lcd:BuildRequires:	freetype-devel >= 2}
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-lib-libXrender-devel >= 0.8.2
BuildRequires:	xorg-util-util-macros >= 1.3
Requires:	fontconfig
%{?with_lcd:Requires:	freetype >= 1:2.3.0}
Requires:	xorg-lib-libXrender >= 0.8.2
Obsoletes:	XFree86-xft
Obsoletes:	XFree86-xft2
Obsoletes:	Xft
Obsoletes:	libXft
Obsoletes:	xft
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Xft is a library that connects X applications with the FreeType font
rasterization library. Xft uses fontconfig to locate fonts so it has
no configuration files.

%description -l pl.UTF-8
Xft to biblioteka łącząca aplikacje X z biblioteką rasteryzacji fontów
FreeType. Do odnajdywania fontów wykorzystuje bibliotekę fontconfig,
więc Xft nie ma własnych plików konfiguracyjnych.

%package devel
Summary:	Header files for libXft library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libXft
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	fontconfig-devel >= 2.2
Requires:	xorg-lib-libXrender-devel >= 0.8.2
Obsoletes:	XFree86-xft-devel
Obsoletes:	XFree86-xft2-devel
Obsoletes:	Xft-devel
Obsoletes:	libXft-devel
Obsoletes:	xft-devel

%description devel
Header files for libXft library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libXft.

%package static
Summary:	Static libXft library
Summary(pl.UTF-8):	Biblioteka statyczna libXft
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	XFree86-xft-static
Obsoletes:	Xft-static
Obsoletes:	libXft-static
Obsoletes:	xft-static

%description static
Static libXft library.

%description static -l pl.UTF-8
Biblioteka statyczna libXft.

%prep
%setup -q -n libXft-%{version}
%{?with_lcd:%patch0 -p1}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkgconfigdir=%{_pkgconfigdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libXft.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libXft.so.2

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/xft-config
%attr(755,root,root) %{_libdir}/libXft.so
%{_libdir}/libXft.la
%dir %{_includedir}/X11/Xft
%{_includedir}/X11/Xft/*.h
%{_pkgconfigdir}/xft.pc
%{_mandir}/man1/xft-config.1*
%{_mandir}/man3/Xft.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/libXft.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-lib-libXft.spec,v $
Revision 1.33  2009/11/12 09:44:54  patrys
- rebuild
- rel 2

Revision 1.32  2009/10/13 06:37:37  qboosh
- updated to 2.1.14
- updated lcd-filter patch

Revision 1.31  2009/08/13 18:11:06  arekm
- rel 3; R: fontconfig for main config

Revision 1.30  2008/11/05 23:28:49  arekm
- release 2

Revision 1.29  2008/07/09 05:02:14  qboosh
- ghost soname symlink

Revision 1.28  2008/07/02 20:16:42  arekm
- up to 2.1.13

Revision 1.27  2007/02/21 21:02:08  qboosh
- runtime dependency on freetype 2.3.0

Revision 1.26  2007/02/20 15:10:13  qrczak
- xorg-lib-libXft-lcd-filter.patch: use freetype-2.3.0's LCD filtering
  (based on http://david.freetype.org/lcd/libXft-2.1.7-lcd-filter-2.patch)
- Release 2

Revision 1.25  2007/02/12 22:09:24  glen
- tabs in preamble

Revision 1.24  2007/02/12 01:06:40  baggins
- converted to UTF-8

Revision 1.23  2006/12/09 18:10:45  qboosh
- longer descs, unified -devel/-static

Revision 1.22  2006/12/09 14:17:50  arekm
- tarball was moved to proper lib directory

Revision 1.21  2006/12/09 11:53:27  arekm
- up to 2.1.12

Revision 1.20  2006/11/24 23:53:46  arekm
- rebuild

Revision 1.19  2006/11/21 00:24:40  arekm
- rebuild

Revision 1.18  2006/10/14 15:25:24  qboosh
- updated to 2.1.11

Revision 1.17  2006/06/06 18:26:51  freetz
- 2.1.10

Revision 1.16  2006/06/04 01:00:02  qboosh
- updated to 2.1.9

Revision 1.15  2006/03/16 08:34:56  cieciwa
- release 2,
- removed Provides.

Revision 1.14  2006/03/16 07:42:21  cieciwa
- release 1.1,
- added Provides: xft-devel to devel package,
- testing.

Revision 1.13  2006/03/08 22:06:43  qboosh
- release 1

Revision 1.12  2005/12/28 11:14:07  qboosh
- sources from X11R7.0 release

Revision 1.11  2005/12/20 12:47:51  qboosh
- 2.1.8.2 (X11R7.0-RC4)

Revision 1.10  2005/12/04 16:47:11  qboosh
- -devel desc fixes

Revision 1.9  2005/12/04 11:23:44  qboosh
- 2.1.8.1 (X11R7.0-RC3)

Revision 1.8  2005/10/22 17:59:03  qboosh
- pkgconfig epoch

Revision 1.7  2005/10/20 23:29:43  qboosh
- own /usr/include/X11/Xft dir

Revision 1.6  2005/10/20 19:13:19  qboosh
- 2.1.8 (X11R7.0-RC1)
- more docs, added versions to fontconfig,libXrender deps

Revision 1.5  2005/08/27 19:38:03  wiget
- kill /usr/X11R6

Revision 1.4  2005/08/27 17:56:06  qboosh
- cleanups, ported back to Linux

Revision 1.3  2005/08/27 17:42:48  wiget
- s/pkg-config/pkgconfig/ in BR:

Revision 1.2  2005/08/17 20:10:46  qboosh
- Obsoletes for old xlibs or separate packages

Revision 1.1  2005/08/15 12:17:57  arekm
- new try
- all xorg files prefixed with xorg-kind_of_package where kind of package can be seen at http://xorg.freedesktop.org/X11R7.0-RC0/

Revision 1.15  2005/08/14 23:07:05  arekm
- modular X11R7.0-RC0 version (desc from trojan version to keep diffs as smallest as it's possible)

Revision 1.14  2005/05/01 10:51:11  qboosh
- up to 2.1.7, updated freetype-includes patch

Revision 1.13  2005/05/01 10:21:25  qboosh
- updated Source URL, unified URL

Revision 1.12  2004/05/22 22:59:45  qboosh
- unifications, updated dep versions, removed empty NEWS from doc
- more specific URL

Revision 1.11  2004/03/23 22:24:00  freetz
- 2.1.6

Revision 1.10  2004/03/19 16:33:39  grzegol
- added epoch to fontconfig requires

Revision 1.9  2004/03/14 16:45:13  grzegol
- updated to 2.1.5

Revision 1.8  2004/03/12 11:03:14  adgor
- Added apropriate conflicts for main & devel
- Added R /sbin/ldconfig where needed

Revision 1.7  2004/03/11 22:42:21  wolf
- xft has P: Xft

Revision 1.6  2004/03/10 10:53:53  pluto
- BR:, R:, cosmetics.

Revision 1.5  2004/03/07 16:30:40  pluto
- BR:, release 3.

Revision 1.4  2004/03/05 00:06:40  adgor
- Rel++

Revision 1.3  2004/03/04 21:23:32  adgor
- Added two lines with define

Revision 1.2  2004/03/03 23:35:33  adgor
- BR fontconfig-devel >= 2.2.92

Revision 1.1  2004/03/02 23:58:48  adgor
- Initial
- Obsoletes xft
